Package org.pushingpixels.substance.internal.ui

# Class SubstanceCheckBoxUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
javax.swing.plaf.basic.BasicButtonUI
javax.swing.plaf.basic.BasicToggleButtonUI
javax.swing.plaf.basic.BasicRadioButtonUI
org.pushingpixels.substance.internal.ui.SubstanceRadioButtonUI
org.pushingpixels.substance.internal.ui.SubstanceCheckBoxUI

All Implemented Interfaces:
  `TransitionAwareUI`

public class SubstanceCheckBoxUI extends SubstanceRadioButtonUI
UI for check boxes in Substance look and feel.

## Field Summary

### Fields inherited from class org.pushingpixels.substance.internal.ui.SubstanceRadioButtonUI

`button, stateTransitionTracker, substancePropertyListener`

### Fields inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

`icon`

### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

`defaultTextIconGap, defaultTextShiftOffset`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceCheckBoxUI(JToggleButton button)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`protected BasicButtonListener`
`createButtonListener(AbstractButton b)`
`static ComponentUI`
`createUI(JComponent comp)`
`Icon`
`getDefaultIcon()`
`static String`
`getMemoryUsage()`
Returns memory usage string.
`protected String`
`getPropertyPrefix()`
`protected void`
`installDefaults(AbstractButton b)`

### Methods inherited from class org.pushingpixels.substance.internal.ui.SubstanceRadioButtonUI

`getTransitionTracker, installListeners, isInside, paint, paintButtonText, uninstallListeners`

### Methods inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

`getPreferredSize, paintFocus, uninstallDefaults`

### Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI

`getTextShiftOffset, paintIcon`

### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

`clearTextShiftOffset, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceCheckBoxUI

public SubstanceCheckBoxUI(JToggleButton button)
Simple constructor.

Parameters:
  `button` - The associated button.

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### getPropertyPrefix

protected String getPropertyPrefix()

Overrides:
  `getPropertyPrefix` in class `BasicRadioButtonUI`

### installDefaults

protected void installDefaults(AbstractButton b)

Overrides:
  `installDefaults` in class `SubstanceRadioButtonUI`

### createButtonListener

protected BasicButtonListener createButtonListener(AbstractButton b)

Overrides:
  `createButtonListener` in class `SubstanceRadioButtonUI`

### getDefaultIcon

public Icon getDefaultIcon()

Overrides:
  `getDefaultIcon` in class `SubstanceRadioButtonUI`

### getMemoryUsage

public static String getMemoryUsage()
Returns memory usage string.

Returns:
  Memory usage string.